import { Point, Rect } from '../interface/IDanmaMessage';
import { IDanmaTrackInfo } from '../interface/IDanmaTrack';
import { BaseMessage } from './BaseMessage';
interface TextMessageConfig {
    mMsg: string;
    color: string;
    strokeColor: string;
    fontSize: number;
    fontFamily: string;
}
export default class TextMessage extends BaseMessage {
    private textMessageConfig;
    constructor(msg: TextMessageConfig);
    onCreate(callback: Function): void;
    onMeasure(ctx: CanvasRenderingContext2D, trackInfo: IDanmaTrackInfo): Rect;
    onLayout(ctx: CanvasRenderingContext2D, trackInfo: IDanmaTrackInfo): Point;
    onDraw(ctx: CanvasRenderingContext2D, trackInfo: IDanmaTrackInfo): void;
    onDestroyed(): boolean;
}
export {};
